package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.entity.UReportSubscriber;
import cn.com.ctop.common.module.mapper.UReportMapper;
import cn.com.ctop.common.module.service.IUReportService;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UReportService implements IUReportService {

    @Autowired
    UReportMapper uReportMapper;

    @Override
    public List<JSONObject> uReportList() {
        return uReportMapper.queryUReportBy(1);
    }

    @Override
    public List<UReportSubscriber> getUReportSubscriberByFileId(String fileId) {
        return uReportMapper.queryUReportSubscriberByFileId(fileId);
    }
}
